## ubatar 12.07.2-extras12.04.1

=== debian/changelog ===
ubatar (12.07.2-extras12.04.1) precise; urgency=low

  * Initial release.

 -- Pablo Seminario <pabluk@gmail.com>  Sat, 07 Jul 2012 20:18:14 +0200
