=== debian/control ===
Source: ubatar
Section: python
Priority: extra
Build-Depends: debhelper (>= 8),
 libglib2.0-bin,
 python (>= 2.6.6-3~),
 python-distutils-extra (>= 2.10)
Maintainer: Pablo SEMINARIO <pabluk@gmail.com>
Standards-Version: 3.9.3
XS-Python-Version: current

Package: ubatar
Architecture: all
XB-Python-Version: ${python:Versions}
Depends: ${misc:Depends},
 ${python:Depends},
 gir1.2-notify-0.7,
 gir1.2-gtk-3.0,
 python-launchpadlib,
 python-dbus,
 gir1.2-glib-2.0,
 python-apport,
 gir1.2-gdkpixbuf-2.0,
 python-tweepy,
 gir1.2-webkit-3.0,
 gir1.2-launchpad-integration-3.0,
 yelp
Description: synchronize your Ubuntu user's profile picture
 Synchronize your Ubuntu user's profile picture with your social
 networking sites.
 .
 Features:
  * Support for ribbons
  * Download profile pictures from services
  * Support for Launchpad, Gravatar and Twitter APIs
