=== debian/rules ===
#!/usr/bin/make -f
%:
ifneq ($(shell dh -l | grep -xF translations),)
	dh $@ --with python2,translations
else
	dh $@ --with python2
endif

override_dh_auto_install:
	dh_auto_install -- --install-scripts=/opt/extras.ubuntu.com/ubatar                 --install-data=/opt/extras.ubuntu.com/ubatar                 --install-lib=/opt/extras.ubuntu.com/ubatar

override_dh_python2:
	dh_python2 /opt/extras.ubuntu.com/ubatar


override_dh_install:
	dh_install
	mkdir -p debian/ubatar/opt/extras.ubuntu.com/ubatar/bin
	if [ -x debian/ubatar/opt/extras.ubuntu.com/ubatar/ubatar/ubatar ]; then mv debian/ubatar/opt/extras.ubuntu.com/ubatar/ubatar/ubatar debian/ubatar/opt/extras.ubuntu.com/ubatar/bin; fi
	if [ -f debian/ubatar/opt/extras.ubuntu.com/ubatar/share/applications/ubatar.desktop ]; then \
		mkdir -p debian/ubatar/usr/share/applications; \
		mv debian/ubatar/opt/extras.ubuntu.com/ubatar/share/applications/ubatar.desktop debian/ubatar/usr/share/applications/extras-ubatar.desktop; \
		rmdir --ignore-fail-on-non-empty debian/ubatar/opt/extras.ubuntu.com/ubatar/share/applications; \
		sed -i 's|Exec=.*|Exec=/opt/extras.ubuntu.com/ubatar/bin/ubatar|' debian/ubatar/usr/share/applications/extras-ubatar.desktop; \
		sed -i 's|Icon=/usr/|Icon=/opt/extras.ubuntu.com/ubatar/|' debian/ubatar/usr/share/applications/extras-ubatar.desktop; \
	fi
	grep -RlZ 'import gettext' debian/ubatar/* | xargs -0 -r sed -i 's|\(import\) gettext$$|\1 locale|'
	grep -RlZ 'from gettext import gettext as _' debian/ubatar/* | xargs -0 -r sed -i 's|from gettext \(import gettext as _\)|from locale \1|'
	grep -RlZ "gettext.textdomain('ubatar')" debian/ubatar/* | xargs -0 -r sed -i "s|gettext\(\.textdomain('ubatar')\)|locale\.bindtextdomain('ubatar', '/opt/extras.ubuntu.com/ubatar/share/locale')\nlocale\1|" 
	sed -i "s|__ubatar_data_directory__ =.*|__ubatar_data_directory__ = '/opt/extras.ubuntu.com/ubatar/share/ubatar/'|" debian/ubatar/opt/extras.ubuntu.com/ubatar/ubatar*/ubatarconfig.py
	sed -i 's|        sys.path.insert(0, opt_path)|\0\n    os.putenv("XDG_DATA_DIRS", "%s:%s" % ("/opt/extras.ubuntu.com/ubatar/share/", os.getenv("XDG_DATA_DIRS", "")))|' debian/ubatar/opt/extras.ubuntu.com/ubatar/bin/ubatar
	if [ -d debian/ubatar/opt/extras.ubuntu.com/ubatar/share/glib-2.0/schemas ]; then glib-compile-schemas debian/ubatar/opt/extras.ubuntu.com/ubatar/share/glib-2.0/schemas; fi
	if [ -f debian/ubatar/etc/apport/crashdb.conf.d/ubatar-crashdb.conf ]; then \
		mkdir -p debian/ubatar/opt/extras.ubuntu.com/ubatar/etc/apport/crashdb.conf.d; \
		mv debian/ubatar/etc/apport/crashdb.conf.d/ubatar-crashdb.conf \
			debian/ubatar/opt/extras.ubuntu.com/ubatar/etc/apport/crashdb.conf.d; \
		rm -rf debian/ubatar/etc; \
	fi
	find debian/ubatar/opt/extras.ubuntu.com/ubatar/share/gnome/help/ubatar/ -type d -empty -delete
